jacktrip (2.7.1+ds-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 03 Feb 2026 23:28:49 +0100

jacktrip (2.7.1+ds-1) unstable; urgency=medium

  * New upstream version 2.7.1+ds
    (Closes: #1096869)
    + Drop obsolete patches
    + Refresh patches
  * Drop alternative B-D on obsolete pkg-config
  * Update copyright information
    + Bump copyright dates
    + Update exclude rules for licensecheck target
    + Re-generate copyright hints
  * Bump standards version to 4.7.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 22 Aug 2025 12:57:35 +0200

jacktrip (2.5.1+ds-1) unstable; urgency=medium

  * New upstream version 2.5.1+ds
  * More upstream metadata

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 09 Feb 2025 22:10:08 +0100

jacktrip (2.5.0+ds-1) unstable; urgency=medium

  * New upstream version 2.5.0+ds
    + Refresh patches
  * Build against libsamplerate
  * Update copyright information
    + Update d/copyright
    + Re-generate copyright hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 27 Jan 2025 17:13:40 +0100

jacktrip (2.4.1+ds-1) unstable; urgency=medium

  * New upstream version 2.4.1+ds

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 17 Oct 2024 22:33:00 +0200

jacktrip (2.4.0+ds-1) unstable; urgency=medium

  * New upstream version 2.4.0+ds
    + Refresh patches
  * Update copyright information
    + Update d/copyright
    + Update copyright-ignore-regex
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 23 Sep 2024 00:04:20 +0200

jacktrip (2.3.1+ds-1) unstable; urgency=medium

  * New upstream version 2.3.1+ds
  * Update copyright information
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 19 Aug 2024 08:49:07 +0200

jacktrip (2.3.0+ds-1) unstable; urgency=medium

  * New upstream version 2.3.0+ds
    + Refresh patches
  * Update copyright information
    + Bump copyright dates
    + Re-generate d/copyright_hints
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 17 May 2024 08:28:06 +0200

jacktrip (2.2.5+ds-1) unstable; urgency=medium

  * New upstream version 2.2.5+ds

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 02 Apr 2024 16:38:39 +0200

jacktrip (2.2.4+ds-1) unstable; urgency=medium

  * New upstream version 2.2.4+ds

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 16 Mar 2024 23:51:47 +0100

jacktrip (2.2.3+ds-1) unstable; urgency=medium

  * New upstream version 2.2.3+ds
  * Update copyright information
    + Bump dates in d/copyright
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 11 Mar 2024 08:43:32 +0100

jacktrip (2.2.2+ds-1) unstable; urgency=medium

  * New upstream version 2.2.2+ds
  * B-D on pkgconf

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 11 Feb 2024 11:12:36 +0100

jacktrip (2.2.1+ds-1) unstable; urgency=medium

  * New upstream version 2.2.1+ds

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 02 Feb 2024 00:47:12 +0100

jacktrip (2.2.0+ds-1) unstable; urgency=medium

  * New upstream version 2.2.0+ds

  * Update copyright information
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 26 Jan 2024 00:05:22 +0100

jacktrip (2.1.0+ds-1) unstable; urgency=medium

  * New upstream version 2.1.0+ds
    + Refresh patches
  * Drop obsolete jacktrip-gui-launcher wrapper-script
  * Add more B-Ds
  * Update copyright information
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 10 Nov 2023 12:28:27 +0100

jacktrip (2.0.2+ds-2) unstable; urgency=medium

  * Re-enable "VirtualStudio" on selected platforms
    + Add qml-modules required by VirtualStudio as dependencies
  * use dh_installman to install manpages
    + Patch buildsystem to not compress manpages
    + Provide dummy-manpages when cross-compiling

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 25 Sep 2023 14:08:27 +0200

jacktrip (2.0.2+ds-1) unstable; urgency=medium

  * New upstream version 2.0.2+ds
    + Drop patches applied upstream
  * Disable "Virtual Studio"

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 05 Sep 2023 23:38:57 +0200

jacktrip (2.0.1+ds-1) unstable; urgency=medium

  * New upstream version 2.0.1+ds
  * Switch to Qt6
  * Add patch to allow building without 'git' installed
  * Add patch for a more useful manpage synopsis
  * Use upstream's "install" targets
  * Use upstream manpages
    + Drop cached desktop/manpage from debian/
  * Drop local copy of Simple-FFT (now included upstream)
  * Update copyright information
    + Update copyright and licenses
    + Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 30 Aug 2023 11:52:26 +0200

jacktrip (1.10.0+ds-1) unstable; urgency=medium

  * New upstream version 1.10.0+ds
    + Drop patches applied upstream
  * Add missing sources for Simple-FFT header library
  * Update d/copyright
    * Add new files
    * Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 19 Jun 2023 08:51:48 +0200

jacktrip (1.9.0+ds-1) unstable; urgency=medium

  * New upstream version 1.9.0+ds
  * Add B-D on qtquickcontrols2-5-dev
  * Add patch to buildsystem to allow building non-GUI jacktrip
  * Update d/copyright
    + Bump dates in d/copyright
    + Re-generate d/copyright_hints
  * Update upstream version-mangling in d/watch

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 13 Jun 2023 20:18:20 +0200

jacktrip (1.7.0+ds-1) unstable; urgency=medium

  * New upstream version 1.7.0+ds
  * Use wrapper-script to launch jacktrip from .desktop
  * Simplify 'clean' target
  * Update d/copyright
    + Re-generate d/copyright_hints
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 27 Jan 2023 11:00:45 +0100

jacktrip (1.6.8+ds-1) unstable; urgency=medium

  * New upstream version 1.6.8+ds
  * Drop number from repacksuffix
  * Ensure that 'licensecheck' is run with the C.UTF-8 locale

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 11 Dec 2022 22:12:23 +0100

jacktrip (1.6.7+ds0-1) unstable; urgency=medium

  * New upstream version 1.6.7+ds0
  * Update d/copyright
    + Modernize 'licensecheck' target
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 04 Dec 2022 22:31:06 +0100

jacktrip (1.6.6+ds0-1) unstable; urgency=medium

  * New upstream version 1.6.6+ds0
  * Update d/copyright
    + Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 10 Nov 2022 11:15:20 +0100

jacktrip (1.6.4+ds0-1) unstable; urgency=medium

  * New upstream version 1.6.4+ds0
  * Update d/copyright
    + Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 20 Sep 2022 12:11:04 +0200

jacktrip (1.6.3+ds0-1) unstable; urgency=medium

  * New upstream version 1.6.3+ds0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 29 Aug 2022 19:10:24 +0200

jacktrip (1.6.2+ds0-1) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * New upstream version 1.6.2+ds0
    + Re-generate d/copyright_hints
  * B-D on libqt5websockets5-dev

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 19 Aug 2022 12:42:07 +0200

jacktrip (1.6.1+ds0-1) unstable; urgency=medium

  * New upstream version 1.6.1+ds0

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Drop patches applied upstream
  * Add some more QT5 B-Ds
  * Switch buildsystem to 'meson'
  * Override dh_auto_install
  * Install all files for jacktrip-gui
  * Fix cross-compilation:
    * Mark python3-(jinja2 ,yaml) dependency as ':native'
    * Only B-D on 'help2man' if not cross-compiling
  * Fix d/watch to correctly handle release-candidates

  [ Dennis Braun ]
  * Bump Standards Version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 17 Jul 2022 22:31:10 +0200

jacktrip (1.5.3+ds0-1) unstable; urgency=medium

  * New upstream version 1.5.3+ds0
  * Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 06 Apr 2022 10:20:55 +0200

jacktrip (1.5.2+ds0-1) unstable; urgency=medium

  * New upstream version 1.5.2+ds0
    * Refresh patches

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 07 Mar 2022 19:39:08 +0100

jacktrip (1.5.1+ds0-1) unstable; urgency=medium

  * New upstream version 1.5.1+ds0
    * Refresh patches

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 19 Jan 2022 08:53:58 +0100

jacktrip (1.5.0+ds0-1) unstable; urgency=medium

  * New upstream version 1.5.0+ds0
  * Bump dates in d/copyright

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 03 Jan 2022 17:23:15 +0100

jacktrip (1.4.3+ds0-1) unstable; urgency=medium

  * New upstream version 1.4.3+ds0

  * Use new upstream changelog
  * Update d/copyright
    * Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 22 Dec 2021 15:19:31 +0100

jacktrip (1.4.2+ds0-1) unstable; urgency=medium

  * New upstream version 1.4.2+ds0
    * Refresh patches
  * Drop "qjacktl" and "audacity" from jacktrip-cli's Suggests
  * Build jacktrip-gui with RtAudio support (but not jacktrip-cli)
  * Update manpage
  * Apply 'wrap-and-sort -ast'
  * Upload to unstable.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 07 Dec 2021 11:05:58 +0100

jacktrip (1.4.1+ds0-1~exp0) experimental; urgency=medium

  * New upstream version 1.4.1+ds0

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refresh patches
  * More spelling fixes
  * Build GUI and no-GUI flavours
  * Drop API-reference from package
  * Adjust to new location of documentation
  * Build manpages (if possible)
  * Install a .desktop file for jacktrip-gui
  * Refresh d/copyright
    * Regenerate d/copyright_hints
  * Fix upstream repository and homepage
  * Fix d/watch
  * Bump standards version to 4.6.0

  [ Jenkins ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 25 Nov 2021 15:04:31 +0100

jacktrip (1.3.0+ds0-1) unstable; urgency=medium

  * New upstream version 1.3.0+ds0
    * Exclude source-less PDFs
  * Fix spelling mistakes
  * Follow upstream and "Suggest" to install iperf, audacity, qjackctl
  * Refresh d/copyright
    * Regenerate d/copyright_hints
  * Refresh d/watch

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 21 Jan 2021 12:53:28 +0100

jacktrip (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2
    * Drop patches applied upstream
  * Bump standards version to 4.5.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 04 Jan 2021 00:19:40 +0100

jacktrip (1.2.1+ds0-1) unstable; urgency=medium

  [ Dennis Braun ]
  * New upstream version 1.2.1+ds0

  [ IOhannes m zmölnig ]
  * Refresh patches
  * Add salsa-ci configuration

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 17 Aug 2020 20:05:55 +0200

jacktrip (1.2+ds0-1) unstable; urgency=medium

  * New upstream version 1.2
    * Remove patches applied upstream
    * New patch to fix spelling
  * Build manpage directly from binary
  * Update d/copyright
    * Regenerate d/copyright_hints
    * Fixe Files-stanza in d/copyright
    * Remove files dropped by upstream from Files-Excluded
  * Fix d/watch
    * Use upstream's github repository
    * Use dversionmangle=auto
    * Add repacksuffix
  * Bump dh-compat to 13
  * Bump standards-version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 15 Jun 2020 10:27:50 +0200

jacktrip (1.1~repack-7) unstable; urgency=medium

  * Patch to handle IPv4-mapped addresses.
    Thanks to Aaron Wyatt <dev@psi-borg.org> (Closes: #939126)
  * Refresh patches

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 02 Sep 2019 13:35:55 +0200

jacktrip (1.1~repack-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ IOhannes m zmölnig ]
  * Improve cross building: Use a triplet-prefixed pkg-config.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #923566)
  * Switch build-system from CDBS to dh
  * Add fix for another spelling error
  * Update d/copyright
    * Add Files-Excluded stanza
    * Update dates
    * Regenerate d/copyright_hints
  * Fix typo in d/README.source
  * Declare that building the package doesn't require 'root' powers
  * Drop obsolete d/source/local-options to allow 'dgit push'
  * Removed Jonas from uploaders (after a quick check on IRC)
  * Bump dh compat to 12
    * Use debhelper-compat instead of debian/compat
  * Bump standards-version to 4.4.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 28 Aug 2019 09:19:01 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog jacktrip-gui`.
